nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
nx::sdk::ISettingsResponse0 Class Referenceabstract
Inheritance diagram for nx::sdk::ISettingsResponse0:

## Public Member Functions
Ptr< IStringMap > | values () const
Ptr< IStringMap > | errors () const
Public Member Functions inherited from nx::sdk::Interface< ISettingsResponse0 >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const
Public Member Functions inherited from nx::sdk::IRefCountable
virtual | ~IRefCountable ()=default
template<class Interface >
Ptr< Interface > | queryInterface ()
template<class Interface >
Ptr< const Interface > | queryInterface () const
virtual int | addRef () const =0
virtual int | releaseRef () const =0
int | refCountThreadUnsafe () const

## Static Public Member Functions
static auto | interfaceId ()
Static Public Member Functions inherited from nx::sdk::IRefCountable
static auto | interfaceId ()

## Protected Member Functions
virtual IStringMap * | getValues () const =0
virtual IStringMap * | getErrors () const =0
Protected Member Functions inherited from nx::sdk::Interface< ISettingsResponse0 >
virtual IRefCountable * | queryInterface (const IRefCountable::InterfaceId *id) override
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)

## Additional Inherited Members
Static Protected Member Functions inherited from nx::sdk::IRefCountable
template<int len>
static const InterfaceId * | makeId (const char(&charArray)[len])
template<int len, int alternativeLen>
static std::vector< const InterfaceId * > | makeIdWithAlternative (const char(&charArray)[len], const char(&alternativeCharArray)[alternativeLen])
template<class TemplateInstance , class TemplateArg , int len>
static const InterfaceId * | makeIdForTemplate (const char(&baseIdCharArray)[len])
static std::vector< const InterfaceId * > | alternativeInterfaceIds (const InterfaceId *id)
static std::vector< const InterfaceId * > | alternativeInterfaceIds (std::vector< const InterfaceId *> ids)

## Member Function Documentation

## ◆ errors()

Ptr<IStringMap> nx::sdk::ISettingsResponse0::errors | ( |  | ) | const
| inline

Returns
  Map of errors that happened while processing (applying or obtaining) setting values, indexed by setting ids. Each value must be a human-readable error message in English. Can be null or empty if there are no errors.

## ◆ getErrors()

virtual IStringMap* nx::sdk::ISettingsResponse0::getErrors | ( |  | ) | const
| protectedpure virtual

Called by errors()

Implemented in nx::sdk::SettingsResponse.

## ◆ getValues()

virtual IStringMap* nx::sdk::ISettingsResponse0::getValues | ( |  | ) | const
| protectedpure virtual

Called by values()

Implemented in nx::sdk::SettingsResponse.

## ◆ values()

Ptr<IStringMap> nx::sdk::ISettingsResponse0::values | ( |  | ) | const
| inline

Returns
  Map of setting values, indexed by setting ids. Can be null or empty if there are no setting values to return.

The documentation for this class was generated from the following file:

- src/nx/sdk/i_settings_response.h